function addTs(a: number, b: number): number {
  return a + b;
}

console.log(addTs(5, 10));

type User = {
  name: string;
  age: number;
  address?: string;
};

const user: User = {
  name: 'John',
  age: 30,
};

console.log(user.address);

class Person {
  name: string;
  age: number;
  constructor(name: string, age: number) {
    this.name = name;
    this.age = age;
  }
}

const person = new Person('John', 30);
